python-redis (4.3.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014102)
  * Use py3versions --supported in autopkgtests over --requested.
  * Bump debhelper compatibility level to 13.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.1.
  * Install examples.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 12:43:29 +0100

python-redis (3.5.3-2) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Enable salsa-ci to detect autopkgtest failures earlier

  [ Sophie Brun ]
  * Use pytest to run autopkgtest: setup.py test is no
    longer the correct way to run the tests. (Closes: #982134)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Feb 2021 11:30:27 +0100

python-redis (3.5.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sophie Brun ]
  * New upstream version 3.5.3
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 Feb 2021 10:26:44 +0100

python-redis (3.3.11-3) unstable; urgency=medium

  * Drop python2 support; Closes: #938125

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 21:54:37 -0400

python-redis (3.3.11-2) unstable; urgency=medium

  * Team upload.
  * Add python3-all to py3k autopkgtests; Closes: #943458

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Dec 2019 13:38:01 -0500

python-redis (3.3.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Specify Rules-Requires-Root: no.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Oct 2019 12:13:09 -0700

python-redis (3.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump to debhelper compat level 12.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Sep 2019 10:32:27 +0100

python-redis (3.2.1-3) unstable; urgency=medium

  * Move package to under the DPMT.
  * Bump Standards-Version to 4.4.0.
  * Don't build release tags in gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Jul 2019 17:06:05 -0300

python-redis (3.2.1-2) unstable; urgency=medium

  * Add gitlab-ci.yml.
  * Drop marking previously-failing autopkgtests as XFAIL that were introduced
    to workaround #914800 but were released in 3.2.0-1.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Apr 2019 17:56:24 +0100

python-redis (3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Mar 2019 10:50:22 -0400

python-redis (3.2.0-2) unstable; urgency=medium

  * Drop "strict" restriction on patched XFAIL tests. (Closes: #922327)

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Mar 2019 19:16:26 +0100

python-redis (3.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Feb 2019 10:32:42 +0100

python-redis (3.1.0-2) unstable; urgency=medium

  * Autopkgtests:
    - Test against the correct version of the module. (Closes: #922327)
    - Test all available Python versions.
    - Add more logging.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Feb 2019 17:31:37 +0100

python-redis (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-Skip-64-bit-specific-tests.patch; applied upstream in
    <https://github.com/andymccurdy/redis-py/pull/972>.
  * Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Feb 2019 18:40:10 +0100

python-redis (3.0.1-3) unstable; urgency=medium

  * Unmark a test that was accidentally marked as XFAIL.

 -- Chris Lamb <lamby@debian.org>  Sat, 22 Dec 2018 16:33:00 +0000

python-redis (3.0.1-2) unstable; urgency=medium

  * Mark a bunch of failing autopkgtests as (strict) XFAIL.
  * Refresh all patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Dec 2018 23:39:41 +0000

python-redis (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Nov 2018 18:16:03 +0100

python-redis (2.10.6-5) unstable; urgency=medium

  * Fix debian/watch file.
  * Move to debhelper-compat virtual package and drop
    debian/compat file.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Oct 2018 23:32:52 -0400

python-redis (2.10.6-4) unstable; urgency=medium

  * Drop ancient X-Python-Version and X-Python3-Version headers.
  * Update Vcs-* to point to salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jun 2018 17:45:10 +0100

python-redis (2.10.6-3) unstable; urgency=medium

  * Apply patch from https://github.com/andymccurdy/redis-py/pull/972 (written
    by the Debian maintainer) to fix autopkgtests against an i386 Redis server.
    (Closes: #896864)
  * Bump Standards-Version to 4.1.4.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Apr 2018 11:48:17 +0100

python-redis (2.10.6-2) unstable; urgency=medium

  * Add python-mock and python3-mock to autopkgtest dependencies.
  * Use HTTPS URIs for:
    - Homepage field.
    - "Format" URI in debian/copyright.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.3.
  * Override debian-watch-does-not-check-gpg-signature.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Feb 2018 15:30:19 +0000

python-redis (2.10.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Move to HTTPS URI.
  * Bump Standards-Version to 4.1.1.
  * Drop version part of python-all dependency.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Oct 2017 11:43:25 -0400

python-redis (2.10.5-4) unstable; urgency=medium

  * Update travis.yml.
  * Move autopkgtests to separate file.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Aug 2017 12:44:55 -0400

python-redis (2.10.5-3) unstable; urgency=medium

  * Bump debhelper compatibility level to 10.
  * Bump Standards-Version to 4.0.0.

 -- Chris Lamb <lamby@debian.org>  Sun, 30 Jul 2017 22:13:00 -0400

python-redis (2.10.5-2) unstable; urgency=medium

  * debian/control:
    - Bump python-hiredis to Suggests, syncing with Ubuntu.
    - Move to HTTPS Vcs-Git URI.
    - Bump Standards-Version to 3.9.8.
    - wrap-and-sort -sa.
  * Move to DEP-5 debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Sep 2016 14:28:16 +0100

python-redis (2.10.5-1) unstable; urgency=medium

  * New upstream release.
  * wrap-and-sort -sa
  * Drop 001-Fix-tests-under-Redis-3.x-we-can-be-of-an-embedded-s.patch; merged
    upstream.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Nov 2015 12:10:07 +0000

python-redis (2.10.3-8) unstable; urgency=medium

  * Add '@' to autopkgtest `Depends:` line so that the packages we wish to test
    is actually installed.

 -- Chris Lamb <lamby@debian.org>  Sat, 03 Oct 2015 17:31:11 +0200

python-redis (2.10.3-7) unstable; urgency=medium

  * Actually test against the installed (and patched) version by removing the
    library from the local source tree.

    We remove the contents (ie. with "redis/*") instead of the entire directory
    so that upstream's setup.py does not complain.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2015 18:47:22 +0100

python-redis (2.10.3-6) unstable; urgency=medium

  * Replace `-B` with `Restrictions: allow-stderr` in autopkgtests.

    Failures were due to "no previously-included files found matching
    '__pycache__'" being written to stderr, caused by MANIFEST.in attempting to
    exclude these files which did not exist as it is a clean source checking.

    Adding '-B' in 2.10.3-5 therefore had no effect, and would have actually
    prevented these files ever existing.

    It does not appear possible to silence this message, so the options are
    either to:

     a) Ensure these files exist so the warning never occurs (!).
     b) Remove the MANIFEST.in file.
     c) Permit stderr output. This is presumably safe as pytest is fairly
        robust.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2015 16:58:11 +0100

python-redis (2.10.3-5) unstable; urgency=medium

  * Run tests with -B flag to try and avoid .pyc and __pycache__ issues.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Sep 2015 23:58:49 +0100

python-redis (2.10.3-4) unstable; urgency=medium

  * Add patch to fix tests under Redis 3.x; discovered by debci.

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Aug 2015 13:31:15 +0200

python-redis (2.10.3-3) unstable; urgency=medium

  * debci tests require python{,3}-setuptools or they blow up with a
    "TypeError: issubclass() arg 1 must be a class" traceback.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 May 2015 00:44:52 +0100

python-redis (2.10.3-2) unstable; urgency=medium

  * Run wrap-and-sort.
  * debian/tests/control: Add Python dependencies.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Feb 2015 22:36:11 +0000

python-redis (2.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Drop trailing slash from Homepage.
  * Bump debhelper compatibility level to 9.
  * Add DEP8 testsuite; we couldn't run it during build as it required a
    running redis-server instance.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Feb 2015 17:39:35 +0000

python-redis (2.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Jul 2014 17:20:32 +0100

python-redis (2.9.1-3) unstable; urgency=medium

  * Add python-hiredis to Recommends due to performance improvements when used
    together (Closes: #749077)

 -- Chris Lamb <lamby@debian.org>  Fri, 23 May 2014 22:10:58 +0100

python-redis (2.9.1-2) unstable; urgency=low

  * Add Python 3 package. (Closes: #739552)
  * Update debian/watch.
  * Bump Standards-Version to 3.9.5.

 -- Chris Lamb <lamby@debian.org>  Wed, 19 Feb 2014 22:55:12 +0000

python-redis (2.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Feb 2014 22:57:01 +0000

python-redis (2.7.2-1) unstable; urgency=low

  * New upstream version. (Closes: #729834)
  * Bump Standards-Version to 3.9.4.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Nov 2013 12:11:36 +0000

python-redis (2.4.13-2) unstable; urgency=low

  * Transition to dh_python2. Thanks to Andres Rodriguez <andreserl@gmail.com>
    (Closes: #680567)

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Jul 2012 21:13:14 +0100

python-redis (2.4.13-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jun 2012 16:18:16 +0100

python-redis (2.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jul 2011 01:01:44 +0200

python-redis (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Jun 2011 14:55:43 +0100

python-redis (2.2.4-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch file.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Apr 2011 15:59:38 +0100

python-redis (2.2.1-2) unstable; urgency=low

  * Rebuild in sane environment to prevent uninstallability on sid.
    (Closes: #616000)

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Mar 2011 00:36:24 +0000

python-redis (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 22:39:33 +0000

python-redis (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.
  * Move to 3.0 (quilt) dpkg format.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Jul 2010 09:49:45 -0400

python-redis (1.34.1+git20100401235334-1) unstable; urgency=low

  * New upstream snapshot.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Apr 2010 17:01:09 +0100

python-redis (1.34.1-1) unstable; urgency=low

  * New upstream release (Closes: #571563)
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Feb 2010 02:07:44 +0000

python-redis (0.6.1-1) unstable; urgency=low

  * Initial release.
    - Source package split from "redis" source package.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jan 2010 23:54:06 +0000
